
	local partsamount = 50
	local partlength = 10
	local snakeparts = {}
	local Modes = {
		"Smooth mouse follow",
		"Mouse circler",
		"Mouse rejecter"--,
		--"New"
	}
	local Mode = 1
	local t1 = 0
	love.graphics.setMode( 1366, 768, true, true)

function makesnake()
	snakeparts = {}
	for i = 1,partsamount do
		local newpos = {
			x = i*partlength,
			y = 300
		}
		table.insert(snakeparts,newpos)
	end
end

makesnake()

function love.keypressed(k)
	if k == "right" then
		partsamount = partsamount+1
	elseif k == "left" then
		partsamount = partsamount-1
	elseif k == "up" then
		partlength = partlength+1
	elseif k == "down" then
		partlength = partlength-1
	elseif k == "m" then
		if Mode < #Modes then
			Mode = Mode+1
		else
			Mode = 1
		end
	elseif k == "escape" or k == "q" then
		love.event.push('q')
	end
	makesnake()	
end
	
function love.update(dt)
	t1 = t1+dt
	if t1 > 0.01 then
	
			local mx,my = love.mouse.getX(),love.mouse.getY()
			local p1 = snakeparts[#snakeparts]
			local a = nil
			if Mode == 1 then--mouse follow
				a = -(math.atan2(p1.x-mx,p1.y-my)+math.rad(90))
			elseif Mode == 2 then--mouse circler
				a = -(math.atan2(p1.x-mx,p1.y-my)+math.rad(10))
			elseif Mode == 3 then--mouse rejecter
				a = -(math.atan2(p1.x-mx,p1.y-my)-math.rad(90))
			--elseif Mode == 4 then--mouse dodger
				--a = 
			end
			local newpos = {
				x = p1.x+(math.cos(a)*partlength),
				y = p1.y+(math.sin(a)*partlength)
			}
			table.insert(snakeparts,newpos)--make new pos
			table.remove(snakeparts,1)--remove last pos
			
		t1 = 0
	end
end

function love.draw()

	for i = 1,#snakeparts-1 do
		local p1 = snakeparts[i]
		local p2 = snakeparts[i+1]
		love.graphics.setColor(0,0,255/#snakeparts*i)
		love.graphics.line(p1.x,p1.y,p2.x,p2.y)
	end
	love.graphics.print("Parts : "..partsamount.." (change with 'left' and 'right')",10,15)
	love.graphics.print("Part length : "..partlength.." (change with 'up' and 'down')",10,30)
	love.graphics.print("Mode : "..Modes[Mode].." (change with m)",10,45)
	
end